﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="index.aspx.cs" Inherits="e_instant_username_availability_check_index" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Instant Username Availability Check | YogiHosting Demo</title>
    <link rel="icon" type="image/png" href="http://www.yogihosting.com/wp-content/themes/yogi-yogihosting/Images/favicon.ico" />
    <meta charset="utf-8" />
    <style>
        body {
            background: #111 no-repeat;
            background-image: -webkit-gradient(radial, 50% 0, 150, 50% 0, 300, from(#444), to(#111));
        }

        h1, h2, h3 {
            text-align: center;
            color: #FFF;
        }

            h2 a {
                color: #0184e3;
                text-decoration: none;
            }

                h2 a:hover {
                    text-decoration: underline;
                }

            h3 a {
                color: #00e8ff;
                text-decoration: none;
            }

                h3 a:hover {
                    text-decoration: underline;
                }

        .container {
            width: 650px;
            margin: auto;
            color: #FFF;
            font-size: 25px;
        }

            .container h3 {
                font-size: 20px;
            }

        #content {
            border: dashed 2px #CCC;
            padding: 10px;
        }

        #reset {
            padding: 5px 10px;
            background: #4CAF50;
            border: none;
            color: #FFF;
            cursor: pointer;
        }

            #reset:hover {
                color: #4CAF50;
                background: #FFF;
            }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <h1>Instant Username Availability Check</h1>
        <h2><a href="http://www.yogihosting.com/instant-username-availability-check-feature/">Read the tutorial on YogiHosting »</a></h2>
        <h3>
            <button id="reset">Reset »</button></h3>
        <div class="container">
            <div id="content">
                <h3><b><u>Create Your Account</u></b></h3>
                <table>
                    <tr>
                        <td>Username:
                            <input type="text" id="userNameTextBox" />
                            <img />
                        </td>
                    </tr>
                    <tr>
                        <td>Email:
                            <input type="text" id="emailTextBox" />
                            <img />
                        </td>
                    </tr>
                    <tr>
                        <td>Password:
                            <input type="text" id="passwordTextBox" />
                            <img />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <button id="submitButton">Create User</button>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </form>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#reset").click(function (e) {
                location.reload();
            });

            $("#submitButton").click(function (e) {
                if ($("table").find('img[src="tick.png"]').length == 3) {
                    alert("THank you, your account is created");
                    $("table").hide();
                }
                else
                    alert("Check Cross image");
                return false;
            });

            $("#userNameTextBox").keyup(function () {
                var that = this;
                $.ajax({
                    type: "POST",
                    url: "index.aspx/checkusername",
                    contentType: "application/json; charset=utf-8",
                    data: '{"username":"' + $(this).val() + '"}',
                    dataType: "json",
                    success: function (msg) {
                        if (msg.d == "Available") {
                            $(that).siblings("img").attr("src", "tick.png");
                        }
                        else
                            $(that).siblings("img").attr("src", "cross.png");
                    },
                    error: function (req, status, error) {
                        alert(req + " " + status + " " + error);
                    }
                });
            });

            $("#emailTextBox").keyup(function () {
                if (EmailValidate())
                    $(this).siblings("img").attr("src", "tick.png");
                else
                    $(this).siblings("img").attr("src", "cross.png");
            });

            $("#passwordTextBox").keyup(function () {
                if ($(this).val().length >= 6)
                    $(this).siblings("img").attr("src", "tick.png");
                else
                    $(this).siblings("img").attr("src", "cross.png");
            });

            function EmailValidate() {
                var numericExpression = /^\w.+@[a-zA-Z_-]+?\.[a-zA-Z]{2,3}$/;
                var elem = $("#emailTextBox").val();
                if (elem.match(numericExpression))
                    return true;
                else
                    return false;
            }
        });
    </script>
</body>
</html>


